Subject: Re: [bug#52806] [PATCH v5] gnu: Add xinitrc-xsession.

From: John Kehayias <[email-masked]>
Date: Fri, 28 Jan 2022 20:47:08 +0000

Thanks Maxime!

------- Original Message -------

On Thursday, January 27th, 2022 at 10:56 AM, Maxime Devos wrote:

> user guix
> usertag 52806 + reviewed-looks-good
> thanks
>
> John Kehayias schreef op do 27-01-2022 om 03:33 [+0000]:
>
> > Was there anything else I should take care of?
>
> IIRC, no, the v5 patch appears to be fine, though IIRC I didn't look at
> the source code of xinitrc-xsession.
>

There is not much to the source, mostly it is an easy way to provide an xsession for your xinitrc. So the source is just a desktop file and helper script to execute a user's xinitrc. Basically making it convenient, through having this in your system configuration, to login through a display manager but with the more barebones (or controllable) xinit style. For example, I use this to set up my bare WM (xmonad) the same as I do when I don't run a display manager.

John